var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { mainScene } from "@/assets/graphy";
import { MarkerItem } from './MarkerItem.js';
/**
 * 位置标签绘制旗子
 *
 * @author haojianlong
 */
var LocationPointScene = /** @class */ (function (_super) {
    __extends(LocationPointScene, _super);
    /**
     * 构造函数
     *
     * @param data
     */
    function LocationPointScene(data) {
        return _super.call(this, data) || this;
    }
    /**
     * 将旗子添加到列表中
     *
     * @param flagList 旗子list
     */
    LocationPointScene.prototype.addFlagList = function (flagList) {
        var _this = this;
        if (flagList && flagList.length) {
            flagList.map(function (t) {
                var flag = new MarkerItem(null, t.id, t.name);
                flag.moveTo(t.X, t.Y);
                flag.zOrder = 9999999;
                flag.connect('click', _this, _this.flagClick);
                _this.addItem(flag);
            });
        }
    };
    /**
     * @param item  点击的旗子item
     * @param event 点击的事件
     */
    LocationPointScene.prototype.flagClick = function (item, event) {
        console.log(this.data);
        console.log(arguments);
        alert(1);
    };
    return LocationPointScene;
}(mainScene));
export { LocationPointScene };
